import type { NextPage } from 'next';
import Head from 'next/head';
import { Container } from '../components/common/Container/Container';
import { Header } from '../components/common/Header/Header';
import useUser from '../lib/hooks/useUser';

const Home: NextPage = () => {
  const { user } = useUser({ redirectTo: '/login' });
  return (
    <>
      <Head>
        <title>Icy Network Administration</title>
      </Head>
      <Header user={user}></Header>
      <Container>Welcome back, {user?.display_name}!</Container>
    </>
  );
};

export default Home;
